<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

//====================================================
// Описание работы классов и методов исходника на:
// https://www.interestprograms.ru
// Исходные коды программ и игр
//====================================================

class HomeController extends Controller
{
    public function index()
    {
        $greeting = "Привет Мир! Я Laravel!";

        return view("home.index", ["greeting" => $greeting]);
    }

    public function comments(Request $request)
    {
        $comment = "Нет комментариев.";

        $post_var = $request->input('comment');
        if($post_var != null){
            $comment = $post_var;
        } 

        return view("home.comments", ["comment" => $comment]);
    }

}
